// Copyright 2019, Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

syntax = "proto3";

package google.cloud.conformance.bigtable.v2;

import "google/bigtable/v2/bigtable.proto";

option csharp_namespace = "Google.Cloud.Bigtable.V2.Tests.Conformance";
option java_outer_classname = "TestDefinition";
option java_package = "com.google.cloud.conformance.bigtable.v2";

message TestFile {
  repeated ReadRowsTest read_rows_tests = 1;
}

message ReadRowsTest {

  // Expected results of reading the row.
  // Only the last result can be an error.
  message Result {
    string row_key = 1;
    string family_name = 2;
    string qualifier = 3;
    int64 timestamp_micros = 4;
    string value = 5;
    string label = 6;
    bool error = 7;
  }

  string description = 1;
  repeated google.bigtable.v2.ReadRowsResponse.CellChunk chunks = 2;
  repeated Result results = 3;
  
}
